/* global defineEventHandler, createError */

import { orderExists, getWork } from "../../[id].get";

export default defineEventHandler((e) => {
  const idOrder = e.context.params?.id as string;
  const idWork = e.context.params?.idWork as string;

  if (!orderExists(idOrder)) throw createError({ statusCode: 404 });
  return getWork(idWork);
});
